diff --git a/tests/edge/EdgeTest.err b/tests/edge/EdgeTest.err
index 6e21744..3c8a8e1 100644
--- a/tests/edge/EdgeTest.err
+++ b/tests/edge/EdgeTest.err
@@ -1256,8 +1403,8 @@ Got SPB(2)  cs(MCS-3) data block with BSN (68), TFI(0).
  first part is received second part is not received set the status to first block received
 - Scheduling Ack/Nack, because last block has CV==0.
 -  Sending Ack/Nack is already triggered, don't schedule!
-Got RLC block, coding scheme: MCS-3, length: 42 (41))
-  UL data: 28 30 02 2b 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
+Got RLC block, coding scheme: MCS-3, length: 42 
+UL data: 28 30 02 2b 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
 Got MCS-3 RLC block: R=0, SI=0, TFI=0, CPS=12, RSB=0
 UL DATA TFI=0 received (V(Q)=0 .. V(R)=0)
 TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FINISHED EGPRS) restarting timer 3169 while old timer 3169 pending 
@@ -1267,8 +1414,8 @@ Got SPB(2)  cs(MCS-3) data block with BSN (70), TFI(0).
  first part is received second part is not received set the status to first block received
 - Scheduling Ack/Nack, because last block has CV==0.
 -  Sending Ack/Nack is already triggered, don't schedule!
-Got RLC block, coding scheme: MCS-3, length: 42 (41))
-  UL data: 28 40 02 2b 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
+Got RLC block, coding scheme: MCS-3, length: 42 
+UL data: 28 40 02 2b 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
 Got MCS-3 RLC block: R=0, SI=0, TFI=0, CPS=12, RSB=0
 UL DATA TFI=0 received (V(Q)=0 .. V(R)=0)
 TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FINISHED EGPRS) restarting timer 3169 while old timer 3169 pending 
@@ -1278,8 +1425,8 @@ Got SPB(2)  cs(MCS-3) data block with BSN (72), TFI(0).
  first part is received second part is not received set the status to first block received
 - Scheduling Ack/Nack, because last block has CV==0.
 -  Sending Ack/Nack is already triggered, don't schedule!
-Got RLC block, coding scheme: MCS-3, length: 42 (41))
-  UL data: 28 50 02 2b 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
+Got RLC block, coding scheme: MCS-3, length: 42 
+UL data: 28 50 02 2b 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
 Got MCS-3 RLC block: R=0, SI=0, TFI=0, CPS=12, RSB=0
 UL DATA TFI=0 received (V(Q)=0 .. V(R)=0)
 TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FINISHED EGPRS) restarting timer 3169 while old timer 3169 pending 
@@ -1289,8 +1436,8 @@ Got SPB(2)  cs(MCS-3) data block with BSN (74), TFI(0).
  first part is received second part is not received set the status to first block received
 - Scheduling Ack/Nack, because last block has CV==0.
 -  Sending Ack/Nack is already triggered, don't schedule!
-Got RLC block, coding scheme: MCS-3, length: 42 (41))
-  UL data: 28 60 02 2b 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
+Got RLC block, coding scheme: MCS-3, length: 42 
+UL data: 28 60 02 2b 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
 Got MCS-3 RLC block: R=0, SI=0, TFI=0, CPS=12, RSB=0
 UL DATA TFI=0 received (V(Q)=0 .. V(R)=0)
 TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FINISHED EGPRS) restarting timer 3169 while old timer 3169 pending 
@@ -1300,8 +1447,8 @@ Got SPB(2)  cs(MCS-3) data block with BSN (76), TFI(0).
  first part is received second part is not received set the status to first block received
 - Scheduling Ack/Nack, because last block has CV==0.
 -  Sending Ack/Nack is already triggered, don't schedule!
-Got RLC block, coding scheme: MCS-3, length: 42 (41))
-  UL data: 28 70 02 2b 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
+Got RLC block, coding scheme: MCS-3, length: 42 
+UL data: 28 70 02 2b 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
 Got MCS-3 RLC block: R=0, SI=0, TFI=0, CPS=12, RSB=0
 UL DATA TFI=0 received (V(Q)=0 .. V(R)=0)
 TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FINISHED EGPRS) restarting timer 3169 while old timer 3169 pending 
@@ -1311,8 +1458,8 @@ Got SPB(2)  cs(MCS-3) data block with BSN (78), TFI(0).
  first part is received second part is not received set the status to first block received
 - Scheduling Ack/Nack, because last block has CV==0.
 -  Sending Ack/Nack is already triggered, don't schedule!
-Got RLC block, coding scheme: MCS-3, length: 42 (41))
-  UL data: 28 80 02 2b 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
+Got RLC block, coding scheme: MCS-3, length: 42 
+UL data: 28 80 02 2b 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
 Got MCS-3 RLC block: R=0, SI=0, TFI=0, CPS=12, RSB=0
 UL DATA TFI=0 received (V(Q)=0 .. V(R)=0)
 TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FINISHED EGPRS) restarting timer 3169 while old timer 3169 pending 
@@ -1322,8 +1469,8 @@ Got SPB(2)  cs(MCS-3) data block with BSN (80), TFI(0).
  first part is received second part is not received set the status to first block received
 - Scheduling Ack/Nack, because last block has CV==0.
 -  Sending Ack/Nack is already triggered, don't schedule!
-Got RLC block, coding scheme: MCS-3, length: 42 (41))
-  UL data: 28 90 02 2b 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
+Got RLC block, coding scheme: MCS-3, length: 42 
+UL data: 28 90 02 2b 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
 Got MCS-3 RLC block: R=0, SI=0, TFI=0, CPS=12, RSB=0
 UL DATA TFI=0 received (V(Q)=0 .. V(R)=0)
 TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FINISHED EGPRS) restarting timer 3169 while old timer 3169 pending 
@@ -1333,8 +1480,8 @@ Got SPB(2)  cs(MCS-3) data block with BSN (82), TFI(0).
  first part is received second part is not received set the status to first block received
 - Scheduling Ack/Nack, because last block has CV==0.
 -  Sending Ack/Nack is already triggered, don't schedule!
-Got RLC block, coding scheme: MCS-3, length: 42 (41))
-  UL data: 28 a0 02 2b 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
+Got RLC block, coding scheme: MCS-3, length: 42 
+UL data: 28 a0 02 2b 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
 Got MCS-3 RLC block: R=0, SI=0, TFI=0, CPS=12, RSB=0
 UL DATA TFI=0 received (V(Q)=0 .. V(R)=0)
 TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FINISHED EGPRS) restarting timer 3169 while old timer 3169 pending 
@@ -1344,8 +1491,8 @@ Got SPB(2)  cs(MCS-3) data block with BSN (84), TFI(0).
  first part is received second part is not received set the status to first block received
 - Scheduling Ack/Nack, because last block has CV==0.
 -  Sending Ack/Nack is already triggered, don't schedule!
-Got RLC block, coding scheme: MCS-3, length: 42 (41))
-  UL data: 28 b0 02 2b 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
+Got RLC block, coding scheme: MCS-3, length: 42 
+UL data: 28 b0 02 2b 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
 Got MCS-3 RLC block: R=0, SI=0, TFI=0, CPS=12, RSB=0
 UL DATA TFI=0 received (V(Q)=0 .. V(R)=0)
 TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FINISHED EGPRS) restarting timer 3169 while old timer 3169 pending 
@@ -1355,8 +1502,8 @@ Got SPB(2)  cs(MCS-3) data block with BSN (86), TFI(0).
  first part is received second part is not received set the status to first block received
 - Scheduling Ack/Nack, because last block has CV==0.
 -  Sending Ack/Nack is already triggered, don't schedule!
-Got RLC block, coding scheme: MCS-3, length: 42 (41))
-  UL data: 28 c0 02 2b 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
+Got RLC block, coding scheme: MCS-3, length: 42 
+UL data: 28 c0 02 2b 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
 Got MCS-3 RLC block: R=0, SI=0, TFI=0, CPS=12, RSB=0
 UL DATA TFI=0 received (V(Q)=0 .. V(R)=0)
 TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FINISHED EGPRS) restarting timer 3169 while old timer 3169 pending 
@@ -1366,8 +1513,8 @@ Got SPB(2)  cs(MCS-3) data block with BSN (88), TFI(0).
  first part is received second part is not received set the status to first block received
 - Scheduling Ack/Nack, because last block has CV==0.
 -  Sending Ack/Nack is already triggered, don't schedule!
-Got RLC block, coding scheme: MCS-3, length: 42 (41))
-  UL data: 28 d0 02 2b 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
+Got RLC block, coding scheme: MCS-3, length: 42 
+UL data: 28 d0 02 2b 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
 Got MCS-3 RLC block: R=0, SI=0, TFI=0, CPS=12, RSB=0
 UL DATA TFI=0 received (V(Q)=0 .. V(R)=0)
 TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FINISHED EGPRS) restarting timer 3169 while old timer 3169 pending 
@@ -1377,8 +1524,8 @@ Got SPB(2)  cs(MCS-3) data block with BSN (90), TFI(0).
  first part is received second part is not received set the status to first block received
 - Scheduling Ack/Nack, because last block has CV==0.
 -  Sending Ack/Nack is already triggered, don't schedule!
-Got RLC block, coding scheme: MCS-3, length: 42 (41))
-  UL data: 28 e0 02 2b 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
+Got RLC block, coding scheme: MCS-3, length: 42 
+UL data: 28 e0 02 2b 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
 Got MCS-3 RLC block: R=0, SI=0, TFI=0, CPS=12, RSB=0
 UL DATA TFI=0 received (V(Q)=0 .. V(R)=0)
 TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FINISHED EGPRS) restarting timer 3169 while old timer 3169 pending 
@@ -1388,8 +1535,8 @@ Got SPB(2)  cs(MCS-3) data block with BSN (92), TFI(0).
  first part is received second part is not received set the status to first block received
 - Scheduling Ack/Nack, because last block has CV==0.
 -  Sending Ack/Nack is already triggered, don't schedule!
-Got RLC block, coding scheme: MCS-3, length: 42 (41))
-  UL data: 28 f0 02 2b 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
+Got RLC block, coding scheme: MCS-3, length: 42 
+UL data: 28 f0 02 2b 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
 Got MCS-3 RLC block: R=0, SI=0, TFI=0, CPS=12, RSB=0
 UL DATA TFI=0 received (V(Q)=0 .. V(R)=0)
 TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FINISHED EGPRS) restarting timer 3169 while old timer 3169 pending 
@@ -1399,8 +1546,8 @@ Got SPB(2)  cs(MCS-3) data block with BSN (94), TFI(0).
  first part is received second part is not received set the status to first block received
 - Scheduling Ack/Nack, because last block has CV==0.
 -  Sending Ack/Nack is already triggered, don't schedule!
-Got RLC block, coding scheme: MCS-3, length: 42 (41))
-  UL data: 28 00 03 2b 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
+Got RLC block, coding scheme: MCS-3, length: 42 
+UL data: 28 00 03 2b 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
 Got MCS-3 RLC block: R=0, SI=0, TFI=0, CPS=12, RSB=0
 UL DATA TFI=0 received (V(Q)=0 .. V(R)=0)
 TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FINISHED EGPRS) restarting timer 3169 while old timer 3169 pending 
@@ -1410,8 +1557,8 @@ Got SPB(2)  cs(MCS-3) data block with BSN (96), TFI(0).
  first part is received second part is not received set the status to first block received
 - Scheduling Ack/Nack, because last block has CV==0.
 -  Sending Ack/Nack is already triggered, don't schedule!
-Got RLC block, coding scheme: MCS-3, length: 42 (41))
-  UL data: 28 10 03 2b 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
+Got RLC block, coding scheme: MCS-3, length: 42 
+UL data: 28 10 03 2b 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
 Got MCS-3 RLC block: R=0, SI=0, TFI=0, CPS=12, RSB=0
 UL DATA TFI=0 received (V(Q)=0 .. V(R)=0)
 TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FINISHED EGPRS) restarting timer 3169 while old timer 3169 pending 
@@ -1421,8 +1568,8 @@ Got SPB(2)  cs(MCS-3) data block with BSN (98), TFI(0).
  first part is received second part is not received set the status to first block received
 - Scheduling Ack/Nack, because last block has CV==0.
 -  Sending Ack/Nack is already triggered, don't schedule!
-Got RLC block, coding scheme: MCS-3, length: 42 (41))
-  UL data: 28 20 03 2b 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
+Got RLC block, coding scheme: MCS-3, length: 42 
+UL data: 28 20 03 2b 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
 Got MCS-3 RLC block: R=0, SI=0, TFI=0, CPS=12, RSB=0
 UL DATA TFI=0 received (V(Q)=0 .. V(R)=0)
 TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FINISHED EGPRS) restarting timer 3169 while old timer 3169 pending 
@@ -1432,8 +1579,8 @@ Got SPB(2)  cs(MCS-3) data block with BSN (100), TFI(0).
  first part is received second part is not received set the status to first block received
 - Scheduling Ack/Nack, because last block has CV==0.
 -  Sending Ack/Nack is already triggered, don't schedule!
-Got RLC block, coding scheme: MCS-3, length: 42 (41))
-  UL data: 28 30 03 2b 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
+Got RLC block, coding scheme: MCS-3, length: 42 
+UL data: 28 30 03 2b 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
 Got MCS-3 RLC block: R=0, SI=0, TFI=0, CPS=12, RSB=0
 UL DATA TFI=0 received (V(Q)=0 .. V(R)=0)
 TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FINISHED EGPRS) restarting timer 3169 while old timer 3169 pending 
@@ -1443,8 +1590,8 @@ Got SPB(2)  cs(MCS-3) data block with BSN (102), TFI(0).
  first part is received second part is not received set the status to first block received
 - Scheduling Ack/Nack, because last block has CV==0.
 -  Sending Ack/Nack is already triggered, don't schedule!
-Got RLC block, coding scheme: MCS-3, length: 42 (41))
-  UL data: 28 40 03 2b 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
+Got RLC block, coding scheme: MCS-3, length: 42 
+UL data: 28 40 03 2b 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
 Got MCS-3 RLC block: R=0, SI=0, TFI=0, CPS=12, RSB=0
 UL DATA TFI=0 received (V(Q)=0 .. V(R)=0)
 TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FINISHED EGPRS) restarting timer 3169 while old timer 3169 pending 
@@ -1455,8 +1602,8 @@ Got SPB(2)  cs(MCS-3) data block with BSN (104), TFI(0).
 - Scheduling Ack/Nack, because last block has CV==0.
 - Scheduling Ack/Nack, because 20 frames received.
 -  Sending Ack/Nack is already triggered, don't schedule!
-Got RLC block, coding scheme: MCS-3, length: 42 (41))
-  UL data: 3c 00 02 2b 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
+Got RLC block, coding scheme: MCS-3, length: 42 
+UL data: 3c 00 02 2b 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
 Got MCS-3 RLC block: R=0, SI=0, TFI=0, CPS=12, RSB=0
 UL DATA TFI=0 received (V(Q)=0 .. V(R)=0)
 TBF(TFI=0 TLLI=0xf1223344 DIR=UL STATE=FINISHED EGPRS) restarting timer 3169 while old timer 3169 pending 
@@ -9608,7 +9755,8 @@ length 79
  bsn2:0 
  bsn3:0
  pr: 0 cps:3 bsn_val: 3 
-Got RLC block, coding scheme: CS-1, length: 23 (23))
+Got RLC block, coding scheme: CS-1, length: 23 
+UL data: 40 20 00 93 b0 03 15 73 35 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
 +++++++++++++++++++++++++ RX : Uplink Control Block +++++++++++++++++++++++++
 ------------------------- RX : Uplink Control Block -------------------------
 RX: [PCU <- BTS] TBF(TFI=0 TLLI=0xffeeddcc DIR=DL STATE=FINISHED EGPRS) EGPRS Packet Downlink Ack/Nack
@@ -10170,7 +10318,8 @@ length 79
  bsn2:0 
  bsn3:0
  pr: 0 cps:3 bsn_val: 0 
-Got RLC block, coding scheme: CS-1, length: 23 (23))
+Got RLC block, coding scheme: CS-1, length: 23 
+UL data: 40 20 0d 54 50 0c 00 c4 0b 80 00 03 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
 +++++++++++++++++++++++++ RX : Uplink Control Block +++++++++++++++++++++++++
 ------------------------- RX : Uplink Control Block -------------------------
 RX: [PCU <- BTS] TBF(TFI=0 TLLI=0xffeeddcc DIR=DL STATE=FINISHED EGPRS) EGPRS Packet Downlink Ack/Nack
@@ -10732,7 +10881,8 @@ length 79
  bsn2:0 
  bsn3:0
  pr: 0 cps:3 bsn_val: 3 
-Got RLC block, coding scheme: CS-1, length: 23 (23))
+Got RLC block, coding scheme: CS-1, length: 23 
+UL data: 40 20 00 30 15 15 d9 c0 00 00 00 00 00 0b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
 +++++++++++++++++++++++++ RX : Uplink Control Block +++++++++++++++++++++++++
 ------------------------- RX : Uplink Control Block -------------------------
 RX: [PCU <- BTS] TBF(TFI=0 TLLI=0xffeeddcc DIR=DL STATE=FINISHED EGPRS) EGPRS Packet Downlink Ack/Nack
@@ -11306,7 +11456,8 @@ length 79
  bsn2:2 
  bsn3:0
  pr: 0 cps:3 bsn_val: 9 
-Got RLC block, coding scheme: CS-1, length: 23 (23))
+Got RLC block, coding scheme: CS-1, length: 23 
+UL data: 40 20 00 30 29 20 03 c4 00 00 00 00 00 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 
 +++++++++++++++++++++++++ RX : Uplink Control Block +++++++++++++++++++++++++
 ------------------------- RX : Uplink Control Block -------------------------
 RX: [PCU <- BTS] TBF(TFI=0 TLLI=0xffeeddcc DIR=DL STATE=FINISHED EGPRS) EGPRS Packet Downlink Ack/Nack
